Installer - Feature #32891

puppet-pulpcore should support enabling and disabling the new tasking system
06/27/2021 08:25 PM - William Clark

Status: Closed

Priority: Normal

Assignee: William Clark

Category: Foreman modules

Target version: 252

Difficulty: Fixed in Releases: 2.5.2,3.0.0
Triaged: No Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/203,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/371,
https://github.com/theforeman/puppet-pul
pcore/pull/206,
https://github.com/theforeman/puppet-pul
pcore/pull/207,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/375,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/376

Description

this option should modify the pulpcore settings.py file and unit files for worker and resource manager services, to enable or disable
the new tasking system

Related issues:
Related to Foreman Maintain - Bug #32946: The pulpcore-resource-manager is ne... Closed

Associated revisions

Revision 9ad14f5d - 07/08/2021 12:01 PM - William Clark

Fixes #32891 - Support new tasking system and enable it by default

This introduces a new parameter “use_rq_tasking_system’ with default
value false that configures pulpcore to use the same RQ worker tasking
system as before. When false, it instead configures pulpcore to use

the newer PostgreSQL tasking system introduced in pulpcore version 3.14.

Acceptance tests are included to ensure users can switch between either
worker type.

Revision baa0e9ce - 07/08/2021 02:35 PM - William Clark
Refs #32891 - Optionally enable new Pulpcore tasking system

Requires https://github.com/theforeman/puppet-pulpcore/pull/203

Revision be8582dd - 07/12/2021 03:00 PM - William Clark
Refs #32891 - Fixup param doc

History

#1 - 06/27/2021 11:29 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/203 added

#2 - 06/29/2021 03:04 PM - The Foreman Bot
https://github.com/theforeman/puppet-pulpcore/pull/203

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/371 added

#3 - 06/30/2021 06:43 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/206 added

#4 - 07/01/2021 04:34 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/207 added

#5 - 07/06/2021 02:49 PM - Amit Upadhye

- Related to Bug #32946: The pulpcore-resource-manager is necessary only when systemd file for same is available added

#6 - 07/08/2021 12:08 PM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|9ad14f5db17243b35117d03215fa21b69a73dcch.

#7 - 07/12/2021 02:44 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/375 added

#8 - 07/12/2021 02:50 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/376 added

#9 - 07/15/2021 10:25 AM - Amit Upadhye
- Target version set to 2.5.2

- Fixed in Releases 2.5.2, 3.0.0 added

#10 - 07/15/2021 10:26 AM - Amit Upadhye

- Category set to Foreman modules
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/9ad14f5db17243b35117d03215fa21b69a73dcc5
